javax.persistence.metamodel

## Interface ListAttribute<X,E>

All Superinterfaces:
  Attribute<X,List<E>>, Bindable<E>, PluralAttribute<X,List<E>,E>

    public interface ListAttribute<X,E>
    extends PluralAttribute<X,List<E>,E>

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute

`PluralAttribute.CollectionType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute

`Attribute.PersistentAttributeType`

### Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable

`Bindable.BindableType`

### Method Summary

### Methods inherited from interface javax.persistence.metamodel.PluralAttribute

`getCollectionType, getElementType`

### Methods inherited from interface javax.persistence.metamodel.Attribute

`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

### Methods inherited from interface javax.persistence.metamodel.Bindable

`getBindableJavaType, getBindableType`